//font-family: 'Roboto', sans-serif;
//font-family: 'Shrikhand', cursive; 

// CLASS UTILITAIRES

%shadow {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.20);
}

%text-bold {
    font-weight: 500;
}

* {
    padding: 0;
    margin: 0;
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
}

//ANIMATIONS COEUR

.heart-full {
    &:hover {
        -webkit-animation: filling .5s linear both;
                animation: filling .5s linear both;
        -webkit-animation-delay: 0ms;
                animation-delay: 0ms;
    }
}


// CLASS GENERALES


a {
    text-decoration: none;
    color: inherit;
}

.bold {
    font-weight: bold;
}

.btn {
    @extend %shadow;
    background: linear-gradient(356deg, #9356dc 49%, rgb(255, 121, 218) 100%);
    color: #fff !important;
    padding: 15px;
    border-radius: 50px;
    transition: all 200ms;

    &:hover {
        transform: scale(1.05);
        box-shadow: 0 0px 10px rgba(0, 0, 0, 0.60);
    }
}

//ELEMENTS COMMUNS

// LOADER SCREEN

.loader-screen {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.8);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    -webkit-animation: visibility 6s ease-in-out both;
            animation: visibility 6s ease-in-out both;

}

.loader {
    display: block;
    position: absolute;
    visibility: hidden;
    width: 10px;
    height: 30px;
    background: #ff79da;
    -webkit-animation: grow 1.8s ease-in-out both;
            animation: grow 1.8s ease-in-out both;
    -webkit-animation-delay: -0.6s;
            animation-delay: -0.6s;
     -webkit-animation-iteration-count: 3;
             animation-iteration-count: 3;


    &::before {
        content:'';
        display: block;
        position: absolute;
        width: 10px;
        height: 30px;
        background: #99E2D0;
        left: 25px;
        -webkit-animation: grow 1.8s ease-in-out both;
                animation: grow 1.8s ease-in-out both;
        -webkit-animation-delay: -1.2s;
                animation-delay: -1.2s;
        -webkit-animation-iteration-count: 3;
                animation-iteration-count: 3;
    }

    &::after {
        content:'';
        display: block;
        position: absolute;
        width: 10px;
        height: 30px;
        background: #9356dc;
        right: 25px;
        -webkit-animation: grow 1.8s ease-in-out both;
                animation: grow 1.8s ease-in-out both;
        -webkit-animation-iteration-count: 3;
                animation-iteration-count: 3;
    }
}

@-webkit-keyframes visibility {
    0% {
        visibility : visible
    }
    100% {
        visibility: hidden;
    }
}

@keyframes visibility {
    0% {
        visibility : visible
    }
    100% {
        visibility: hidden;
    }
}

@-webkit-keyframes grow {
    0% {
        visibility: visible;
        transform: scaleY(1);
    }
    50% {
        transform: scaleY(0);
    }

    100% {
        transform: scaleY(1);
        visibility: hidden
    }
}

@keyframes grow {
    0% {
        visibility: visible;
        transform: scaleY(1);
    }
    50% {
        transform: scaleY(0);
    }

    100% {
        transform: scaleY(1);
        visibility: hidden
    }
}




header {
    div {
       @extend %shadow;
       position: relative;
       padding: 20px 0;
    }

    a {
        position: absolute;
        font-size: 25px;
        top: 19px;
        left: 20px;
    }

    img {
        display: block;
        margin: auto;
        scale: 0.8;
    }
}

footer {
    background: #353535;
    color: #fff;
    padding: 15px;
    line-height: 22px;

    h2 {
        font-family: 'Shrikhand', cursive;
        font-size: 18px;
        margin-bottom: 15px;
    }
    .plus {
        font-weight: 500;
    }

    span {
        display: grid;
        grid-template-columns: 30px auto;
    }

    a:hover {
        text-decoration: underline;
    }

}

//PAGE D'ACCUEIL

.location {
    padding: 20px 0;
    background: #eaeaea;
    display: flex;
    justify-content: center;

    a {
        @extend %text-bold;
        position: relative;
        
    }
    
    i {
        margin: 0 10px;
    }
}

.presentation {
    display: grid;
    grid-template-columns: 1fr;
    background: #f6f6f6;
    padding: 30px 40px;

    * {
        place-self: center;
        text-align: center;
        margin: 10px 0;
    }
    h1 {
        font-size: 22px;
    }

    p {
        font-weight: 300;
    }
}

.fonctionnement {
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 35px;
    margin: 50px 15px ;

    h2 {
        font-size: 22px;
    }

}

.card {
    @extend %shadow;
    padding: 20px;
    position: relative;
    border-radius: 15px;
    transition: all 0.2s;
    display: grid;
    grid-template-columns: 20% 80%;
    place-self: center;
    white-space: nowrap;
    width: 250px;
    
    p {
        position: absolute;
        left: -10px;
        top: 20px;
        background: #9356DC;
        font-size: 12px;
        color: #fff;
        border-radius: 50px;
        width: 20px;
        height: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    i {
        color: #7e7e7e;
        grid-column: 1;
        justify-self: center;
    }

    h3 {
        grid-column: 2;
    }

    &:hover {
        background: rgba(146, 86, 220, 0.3);

        i {
            color:#9356DC;
        }
    }
}

.restaurants {
    padding: 50px 15px;
    background: #f6f6f6;


    h2 {
        font-size: 22px;
        margin-bottom: 30px;
    }
}

.card-container {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 20px;
    margin: 0 auto;
    max-width: 300px;
}

.card-restaurant {
    @extend %shadow;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 60px 110px 60px ;
    border-radius: 25px;
    overflow: hidden;
    place-self: center;

    img {
        grid-row: 1 / 3;
        grid-column: 1 / 3;
        -o-object-fit: cover;
           object-fit: cover;
        -o-object-position: center;
           object-position: center;
        width: 100%;
        height: 100%;
    }

    .card-desc {
        padding-left: 10px;
        align-self: center;
    }
    
    .new {
        grid-row: 1 / 2;
        grid-column: 2;
        align-self: center;
        justify-self: right;
        color: #008766;
        background: #99E2D0;
        font-size: 12px;
        padding: 5px 10px;
        margin-right: 15px;
        border-radius: 5px;
    }

    .heart-empty {
        grid-row: 3;
        grid-column: 2;
        align-self: center;
        justify-self: end;
        font-size: 22px;
        padding-right: 20px;
        fill: #fff;
        stroke: #000;
        stroke-width: 2px;
    }

    .heart-full {
        grid-row: 3;
        grid-column: 2;
        align-self: center;
        justify-self: end;
        font-size: 22px;
        padding-right: 20px;
        fill: url(#gradiant);
        stroke: url(#gradiant);
        stroke-width: 2px;
        opacity: 0;
    }
}

// PAGES RESTAURANTS

.content {
    display: grid;
    grid-template-rows: 220px auto;
    grid-template-columns: 100%;
}

.img-resto {
    img {
        grid-row: 1 / 2 ;
        width: 100%;
        height: 250px;
        -o-object-fit: cover;
           object-fit: cover;
    }    
}

.restaurant {
    padding: 40px 15px;
    grid-row: 2 / 2;
    background: #fff;
    border-radius: 25px;

    &__name {
        display: grid;
        grid-template-columns: auto auto;
        margin-bottom: 40px;

        i {
            place-self: center;
            font-size: 22px;
        }
    }

    .heart-empty {
        grid-row: 1;
        grid-column: 2;
        font-size: 30px;
        align-self: center;
        justify-self: end;
        fill: #fff;
        stroke: #000;
        stroke-width: 2px;

    }

    .heart-full {
        grid-row: 1;
        grid-column: 2;
        font-size: 30px;
        align-self: center;
        justify-self: end;
        fill: url(#gradiant);
        stroke: url(#gradiant);
        stroke-width: 2px;
        opacity: 0;
    }

    .heart-full {
        &:hover {
            -webkit-animation: filling .5s linear both;
                    animation: filling .5s linear both;
            -webkit-animation-delay: 0ms;
                    animation-delay: 0ms;
        }
    }

    @-webkit-keyframes filling {
        0% {
            opacity: 1;
            -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
                    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
        }
        100% {
            opacity: 1;
            -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
                    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
        }
        
    }


    @keyframes filling {
        0% {
            opacity: 1;
            -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
                    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
        }
        100% {
            opacity: 1;
            -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
                    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
        }
        
    }

    h1 {
        font-family: 'Shrikhand', cursive;
        font-size: 22px;
        align-self: center;
    }
}


.menu {
    display: grid;
    grid-template-columns: 290px;
    gap: 15px;
    justify-content: center; 
    
    &__category {
        display: grid;
        gap: 15px;


        &__title {
            text-transform: uppercase;
            font-weight: 300;

        &::after {
            content:'';
            height: 3px;
            width: 40px;
            margin-top: 10px;
            background-color: #99E2D0;
            display: block;
        }
        }
    }

    p {
        display: block;
    }

    &__card {
        @extend %shadow;
        border-radius: 15px;
        display: flex;
        overflow: hidden;
        height: 55px;
        // max-width: 290px;

        &:hover .menu__container{
            grid-template-columns: auto 40px 50px;
        }


        &:hover .menu__check-box i {
            animation: rotate 0.5s ease;
        }
    }

    &__container {
        display: grid;
        // margin: 10px 10px;
        width: 100%;
        grid-template-columns: auto 40px 0px ;
        grid-template-rows: auto auto;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;

    }
    
    &__name {
        padding: 10px 10px 0 10px;
        grid-column: 1 / 2;
        grid-row: 1 / 2;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    &__desc {
        padding: 0px 10px 10px 10px;
        grid-column: 1 / 2;
        grid-row: 2 / 3;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    &__price {
        padding-right: 10px;
        grid-column: 2 / 3;
        grid-row: 2 / 3;
        justify-self: end;
    }

    &__check-box {
        grid-column: 3 / 4;
        grid-row: 1 / 3;
        background: #99E2D0;
        color: #fff;
        display: flex;
        justify-items: center;
        align-items: center;
        padding: 0 15px;
        flex-shrink: 1;
    }    

        i {
            font-size: 20px;
            color: white;
            transform: rotate(360deg);
            transition: rotate 0.5s both;
    }

    &__bouton {
        display: block;
        place-self: center;
        margin: 15px 0;
    }

}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


//ANIMATIONS APPARITIONS MENU
@-webkit-keyframes opacity {
    0% {
        opacity: 0;
    }    
    100% {
        opacity: 1;
    }
}
@keyframes opacity {
    0% {
        opacity: 0;
    }    
    100% {
        opacity: 1;
    }
}

.opacity {
    -webkit-animation: opacity .5s both;
            animation: opacity .5s both;
}

#anim-1 {
    -webkit-animation-delay: .1s;
            animation-delay: .1s;
}
#anim-2 {
    -webkit-animation-delay: .2s;
            animation-delay: .2s;
}
#anim-3 {
    -webkit-animation-delay: .3s;
            animation-delay: .3s;
}
#anim-4 {
    -webkit-animation-delay: .4s;
            animation-delay: .4s;
}
#anim-5 {
    -webkit-animation-delay: .5s;
            animation-delay: .5s;
}
#anim-6 {
    -webkit-animation-delay: .6s;
            animation-delay: .6s;
}
#anim-7 {
    -webkit-animation-delay: .7s;
            animation-delay: .7s;
}
#anim-8 {
    -webkit-animation-delay: 0.8s;
            animation-delay: 0.8s;
}
#anim-9 {
    -webkit-animation-delay: 0.9s;
            animation-delay: 0.9s;
}
#anim-10 {
    -webkit-animation-delay: 1s;
            animation-delay: 1s;
}
#anim-11 {
    -webkit-animation-delay: 1.1s;
            animation-delay: 1.1s;
}
#anim-12 {
    -webkit-animation-delay: 1.2s;
            animation-delay: 1.2s;
}
#anim-13 {
    -webkit-animation-delay: 1.3s;
            animation-delay: 1.3s;
}

// MEDIA QUERIES 

@media screen and (min-width: 768px){
    .menu {
        grid-template-columns: 290px 290px;
        grid-template-rows: auto auto auto;

        &__bouton {
            grid-column: 1 / 3;
            grid-row: 3 / 4;
        }
    }

    .footer {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media screen and (min-width: 1340px) {
    // PAGE D'ACCUEIL
    main {

        .main-content {
            display: grid;
            // grid-template-columns: 30% auto;
            grid-template-columns: 10% 30% 50% 10%;
            grid-template-rows: 40px 20% auto;  
        }
       

        .location {
            grid-column: 1 / 5;
            grid-row: 1 / 2 ;
        }

        .presentation {
            grid-column: 1 / 5;
            grid-row: 2 / 3 ;
        }

        .fonctionnement {
            grid-column: 2 / 3;
            grid-row: 3 / 4;

            grid-template-rows: 60px 60px 60px 60px;

            h2 {
                text-align: center;
            }
        }

        .restaurants {
            grid-column: 3 / 4;
            grid-row: 3 / 4;
            background: rgb(255, 255, 255);

            h2 {
                text-align: center;
            }
        }

        .card-container {
            grid-template-columns: 300px 300px;
            gap: 20px;
            justify-content: center;
        }
    }



    // PAGES RESTAURANT
    .menu {
        grid-template-columns: 340px 340px 340px;

        &__bouton {
            grid-column: 1 / 4;
        }
    }


    // footer {
    //     position: absolute;
    //     bottom: 0;
    //     left: 0;
    //     right: 0;
    // }
}